#! perl -w

use warnings;
#use strict;
use LWP::Simple;

my $httpaddr = $ARGV[0];
my %data;
my %tot_day;
my %tot_hrs;
my %tot_min;
my %tot_sec;
my $tot_uptime;
my %dwn_day;
my %dwn_hrs;
my %dwn_min;
my %dwn_sec;
my $tot_downtime;

my $content = LWP::Simple::get($httpaddr) or die "Couldn't get it!";

$content =~ s/\&nbsp;|\n//g;

# regex in html source order
if ($content =~ /(-?\d+\.\d+)%</g) { $data{avail} = $1; }

if ($content =~ /(-?\d+)d/g) { $tot_day = $1; }
if ($content =~ / (-?\d+)h/g) { $tot_hrs = $1; }
if ($content =~ /:(-?\d+)m/g) { $tot_min = $1; }
if ($content =~ /:(-?\d+)s/g) {
	$tot_sec = $1;
	$tot_uptime = (((((($tot_day*24)+$tot_hrs)*60)+$tot_min)*60)+$tot_sec);
	$data{tot_uptime} = $tot_uptime;
	}
if ($content =~ /(-?\d+)d/g) { $dwn_day = $1; }
if ($content =~ / (-?\d+)h/g) { $dwn_hrs = $1; }
if ($content =~ /:(-?\d+)m/g) { $dwn_min = $1; }
if ($content =~ /:(-?\d+)s/g) {
	$dwn_sec = $1;
	$tot_downtime = (((((($dwn_day*24)+$dwn_hrs)*60)+$dwn_min)*60)+$dwn_sec);
	$data{tot_downtime} = $tot_downtime;
	}

if ($content =~ /(-?\d+)/g) { $data{tot_reb} = $1; }
if ($content =~ /(-?\d+\.\d+) days</g) { $data{mean_days} = $1; }
if ($content =~ /(-?\d+)/g) { $data{tot_blue} = $1; }

for (keys %data) {
  printf "%s:%s ", $_, $data{$_};
}

